#
# spec file for package pcsxr
#
# Copyright (c) 2012 Guido Berhoerster.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           pcsxr
Version:        1.9.92
Release:        3.1
License:        GPL-2.0+
Summary:        PlayStation Emulator
Url:            http://pcsxr.codeplex.com/
Group:          System/Emulators/Other
Source:         %{name}-%{version}.tar.bz2
# PATCH-FIX-OPENSUSE pcsxr-1.9.92-change-plugin-path.patch gber@opensuse.org -- Installs plugins in libdir/psemu
Patch0:         pcsxr-1.9.92-change-plugin-path.patch
# PATCH-FIX-UPSTREAM pcsxr-1.9.92-fix-int-to-pointer-warning.patch gber@opensuse.org -- Fixes implicit integer to pointer conversion warnings by removing a superfluous wrapper function
Patch1:         pcsxr-1.9.92-fix-int-to-pointer-warning.patch
# PATCH-FIX-UPSTREAM pcsxr-1.9.92-fix-missing-headers.patch gber@opensuse.org -- Adds missing includes
Patch2:         pcsxr-1.9.92-fix-missing-headers.patch
# PATH-FIX-UPSTREAM pcsxr-1.9.92-fix-ambiguous-expressions.patch gber@opensuse.org -- Fixes a number of ambiguous expressions invoking undefined behavior
Patch3:         pcsxr-1.9.92-fix-ambiguous-expressions.patch
# PATCH-FIX-UPSTREAM pcsxr-1.9.92-fix-linking.patch http://pcsxr.codeplex.com/workitem/7815 gber@opensuse.org -- Fixes the linking order (backported from upstream SVN)
Patch4:         pcsxr-1.9.92-fix-linking-order.patch
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(libglade-2.0)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xv)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(sdl)
BuildRequires:  intltool
BuildRequires:  update-desktop-files
BuildRequires:  dos2unix
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
PCSX-Reloaded is a free PlayStation Console emulator which has been forked from
the PCSX emulator and provides a nicer interface as well as several
improvements to stability and functionality. PCSX-Reloaded uses the PSEMU
plugin interface for most functionality and already includes a number of
plugins. Furthemore, it has a very capable Internal HLE BIOS that can run many
games without problems. However, it is also possible for PlayStation owners to
use their original BIOS image.

%prep
%setup -q
dos2unix ChangeLog ChangeLog.df
find gui libpcsxcore plugins -name '*.[ch]' -exec dos2unix {} +
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
modified="$(sed -n '/^----/n;s/ - .*$//;p;q' "%{_sourcedir}/%{name}.changes")"
DATE="\"$(date -d "${modified}" "+%%b %%e %%Y")\""
TIME="\"$(date -d "${modified}" "+%%R")\""
find .  -name '*.[ch]' |\
    xargs sed -i "s/__DATE__/${DATE}/g;s/__TIME__/${TIME}/g"

%build
export CFLAGS='%{optflags} -fno-strict-aliasing'
./autogen.sh
%configure --enable-opengl
make %{?_smp_mflags}

%install
%make_install

rm -f %{buildroot}%{_libdir}/psemu/*.la

%find_lang pcsx %{?_no_lang_C}

%suse_update_desktop_file -r pcsx System Emulator

%post
%desktop_database_post

%postun
%desktop_database_postun

%files -f pcsx.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog ChangeLog.df NEWS README doc/*.txt
%{_bindir}/pcsx
%{_libdir}/psemu
%{_datadir}/pcsx
%{_datadir}/psemu
%{_datadir}/applications/pcsx.desktop
%{_datadir}/pixmaps/pcsx-icon.png
%{_mandir}/man1/pcsx.1*

%changelog
* Wed Sep  5 2012 gber@opensuse.org
- add missing dependencies on automake, libtool
- add pcsxr-1.9.92-fix-linking.patch which fixes the linking order
  (http://pcsxr.codeplex.com/workitem/7815, backported from
  upstream SVN)
* Mon Dec  5 2011 gber@opensuse.org
- initial packaging
